<?php

/**
 *
 * $Id: version.compare.php,v 1.1 2005/08/02 22:14:57 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     htdocs
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.1 $
 *
 */

// ------------------------------------------------------------------------
// ATTENTION:  THIS SCRIPT HAVE TO WORK WITHOUT DEPENDENCIES WITH PHP4!
//
// This is not a standalone script. It is usually included by an other
// file that has loaded (or defined) the COWIKI_* constants that are
// used below.
// ------------------------------------------------------------------------

// FIX: version_compare() is available since of PHP 4.1.0.
if (version_compare(COWIKI_REQUIRED_PHP_VERSION, phpversion()) > 0) {

    echo  '<html>';
    echo    '<head>';
    echo      '<title>'.COWIKI_FULL_NAME.'</title>';
    echo      '<meta name="robots" content="noindex, nofollow">';
    echo      '<style>';
    echo        'div {';
    echo          'font-family: Arial, Helvetica, sans-serif;';
    echo          'font-size: 15px;';
    echo          'border: 1px solid;';
    echo          'border-color: #DFDFDF #AAA #AAA #DFDFDF;';
    echo          'background-color: #EEE;';
    echo          'color: #000;';
    echo          'padding: 10px;';
    echo          'margin: 5% 15% 5% 15%;';
    echo        '}';
    echo      '</style>';
    echo    '</head>';
    
    echo    '<div>';
    echo      '<span style="font-size: 22px"><b>Emergency stop!</b></span>';
    echo      '<br/><br/>';

    echo      'The';
    echo      ' <b>' . COWIKI_FULL_NAME . ' (' . COWIKI_RELEASE . ')</b>';
    echo      ' software requires';
    echo      ' <b>PHP '.COWIKI_REQUIRED_PHP_VERSION.'</b>';
    echo      ' to be installed and configured for this (virtual) host.';
    echo      '<br/><br/>';
    
    echo      'Your installation claims to be PHP version ';
    echo      phpversion() . '. You will need to upgrade your PHP in order';
    echo      ' to make this software run. A newer PHP version can be';
    echo      ' obtained via ';
    echo      ' <a target="_blank" href="http://www.php.net/downloads.php">';
    echo        'www.php.net';
    echo      '</a>.';
    echo      '<br/><br/>';
    
    echo      'For more information about this project please visit its';
    echo      ' home at';
    echo      ' <a target="_blank" href="http://www.cowiki.org/">';
    echo        'www.cowiki.org';
    echo      '</a>.';
    
    echo    '</div>';
    echo  '</html>';

    exit;
}

?>